scrsz = get( 0, 'ScreenSize' );
set( 0, 'DefaultFigurePosition', [ scrsz(3)/2 scrsz(4)/2 scrsz(3)/2 scrsz(4)/2 ] );

n = 10000;

% three distributions:
x = randn( n, 1 );
y = randn( n, 1 );
z = randn( n, 1 );
dx = [ 0 8 0 0 ];
dy = [ 0 0 8 0 ];
dz = [ 0 0 0 8 ];
for k = 1:4
    x((k-1)*n/4+1:k*n/4) = x((k-1)*n/4+1:k*n/4) + dx(k);
    y((k-1)*n/4+1:k*n/4) = y((k-1)*n/4+1:k*n/4) + dy(k);
    z((k-1)*n/4+1:k*n/4) = z((k-1)*n/4+1:k*n/4) + dz(k);
end
f = figure( 1 );
pca3d( x, y, z );
