load thymusglandweights.dat
x = thymusglandweights(1:50);

m = 500;
n = length(x);

mu = zeros(m,1);
for i = 1:m
    mu(i) = mean(x(randi(n,n,1)));
end
fprintf("bootstrap standard error: %.4f\n", std(mu));
fprintf("standard error: %.4f\n", std(x)/sqrt(n));

